update akuz.t_entry_history
set DeleteReason = coalesce(DeleteReason,'') || ' ' || case TypeDeleteReason
                            when 0 then 'Необходимость вызова СМП'
                            when 1 then 'Необходимость вызова неотложной помощи'
                            when 2 then 'Пациент явился на прием в МО'
                            when 3 then 'Пациент ранее обслужен'
                            when 4 then 'Дублирование вызова врача на дом'
                            when 5 then 'Ошибочно создан вызов врача на дом'
                            when 6 then 'Отказ пациента от вызова врача на дом'
                            when 7 then 'Пациент не найден по указанному адресу'
                            when 8 then 'Пациент госпитализирован'
                            when 9 then 'Вызов врача на дом не может быть принят в нерабочее время сервиса'
                    end
where DeleteReason is null 
    and TypeDeleteReason <> 10 
    and not EntryEntity in (select entityid from vclib.t_entities where entname in ('SICK_CALL_ACCEPT_LINK','SICK_CALL_ACCEPT_LINK_ADD') limit 2);



update akuz.t_entry_history
set TypeDeleteReason = case TypeDeleteReason 
                            when 0 then 4
                            when 1 then 4
                            when 2 then 4
                            when 3 then 2
                            when 4 then 4
                            when 5 then 4
                            when 6 then 1
                            when 7 then 4
                            when 8 then 4
                            when 9 then 4
                            when 10 then 4
                    end;